Error installing with Suse10 on x64

Discussion in 'Installation/Configuration' started by SeaWolf, Dec 7, 2005.

  1. SeaWolf

    SeaWolf New Member

    Hi!

    I have a Dell PowerEdge P4 x64 computer with a fresh install of Suse 10 and ISPConfig 2.1.1.

    I have already check every topic on 64bit installation and do everything that ppl says and that fix some problems but I'm still having this error message:

    configure: error: Cannot find OpenSSL's libraries
    ERROR: Could not configure PHP

    Anyone know which file need to be modified to fix this problem?

    Thanks!
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Have you installed the openssl devel rpm packages?
     
  3. SeaWolf

    SeaWolf New Member

    Last edited: Dec 7, 2005
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Have you tried with "--with-openssl" or with "--with-openssl=/path/to/openssl/libs" ?
     
  5. SeaWolf

    SeaWolf New Member

    yep, tried that too without success :(
     
  6. falko

    falko Super Moderator ISPConfig Developer

    What's the exact error message you get now?
     
  7. SeaWolf

    SeaWolf New Member

    Ok, I've just installed from scratch Suse 10 with the Perfect Setup and install ISPConfig. I will let you know all error msg appear when I do some mods.

    Fresh install, Suse Linux 10 on 64bit P4 computer with ISPConfig 2.1.1.

    Here we go:

    I've deleted all files before each tries and all error messages apears in "Configuring extensions" section.

    If you have other ideas lemme know! :)

    Hope it will help! ;)

    Thanks.
     
    Last edited: Dec 7, 2005
  8. SeaWolf

    SeaWolf New Member

    Hi again! ;)

    I just do the Modifications3 + change the ./configure line to:

    ./configure --with-apxs=${INSTALL_ROOT}/httpd/bin/apxs --enable-track-vars --enable-sockets --with-config-file-path=${INSTALL_ROOT}/php --enable-ftp --prefix=${INSTALL_ROOT}/php --with-openssl=${INSTALL_ROOT}/openssl --with-mysql=/usr/local/lib/mysql --disable-libxml --without-zlib || error "Could not configure PHP"

    And now the error is:

    /usr/lib64/gcc/x86_64-suse-linux/4.0.2/../../../../x86_64-suse-linux/bin/ld: /root/ispconfig/openssl/lib/libssl.a(s2_srvr.o): relocation R_X86_64_32 against `a local symbol' can not be used when making a shared object; recompile with -fPIC
    /root/ispconfig/openssl/lib/libssl.a: could not read symbols: Bad value
    collect2: ld returned 1 exit status
    make: *** [libphp5.la] Error 1
    ERROR: Could not make PHP

    Any ideas?

    Thanks!

    SeaWolf
     
  9. till

    till Super Moderator Staff Member ISPConfig Developer

    If you use --with-openssl=${INSTALL_ROOT}/openssl it uses the OpenSSL that comes with ISPConfig, but this OpenSSL definetly wont work on 64 bit systems.

    Try to use: --with-openssl or --with-openssl=/path/to/openSSL/from/suse
     
  10. falko

    falko Super Moderator ISPConfig Developer

    Did you try "Modifications 3" With this configure line?
    Code:
    ./configure --with-apxs=${INSTALL_ROOT}/httpd/bin/apxs --enable-track-vars --enable-sockets --with-config-file-path=${INSTALL_ROOT}/php --enable-ftp --prefix=${INSTALL_ROOT}/php [B][COLOR="Red"]--with-openssl[/COLOR][/B] --with-mysql=/usr/local/lib/mysql --disable-libxml --with-zlib-dir=/usr/lib64 || error "Could not configure PHP"
    Is evp.h on your system? Run
    Code:
    updatedb
    locate evp.h
    to find out.
     
  11. SeaWolf

    SeaWolf New Member

    Tried same as the last mod but change with --with-openssl
    here is the error msg:
    configure: error: Cannot find OpenSSL's libraries
    ERROR: Could not configure PHP

    and now with --with-openssl=/usr/include/openssl
    here is the error:
    configure: error: Cannot find OpenSSL's <evp.h>
    ERROR: Could not configure PHP

    and evp.h is in /usr/include/openssl :(
     
  12. SeaWolf

    SeaWolf New Member


    Tried with Mod3 +
    Code:
    ./configure --with-apxs=${INSTALL_ROOT}/httpd/bin/apxs --enable-track-vars --enable-sockets --with-config-file-path=${INSTALL_ROOT}/php --enable-ftp --prefix=${INSTALL_ROOT}/php [B][COLOR="Red"]--with-openssl[/COLOR][/B] --with-mysql=/usr/local/lib/mysql --disable-libxml --with-zlib-dir=/usr/lib64 || error "Could not configure PHP"
    here is the error msg:
    configure: error: Cannot find OpenSSL's libraries
    ERROR: Could not configure PHP

    and
    Code:
    updatedb
    locate evp.h
    return:
    /tmp/install_ispconfig # locate evp.h
    /usr/include/openssl/evp.h


    I really don't understand why it's not working :(

    Thanks for your help!

    SeaWolf
     
  13. till

    till Super Moderator Staff Member ISPConfig Developer

    And you run the installer as root user, not sudo or something like that?
     
  14. SeaWolf

    SeaWolf New Member

    yep.. I log admin and then switch with SU.. the same way I do on my DualP3 and it's working on it.
     
  15. SeaWolf

    SeaWolf New Member

    Do you want me to let you in as root?? It's a fresh install so nothing is installed right now, except Suse10 ;) and trying to install ISPConfig. I can give you IP and a temp password for root and you can try it? Lemme know if u would like to see it.

    Thanks,
    SeaWolf
     
  16. falko

    falko Super Moderator ISPConfig Developer

    Can you try again with this line?

    Code:
    ./configure --with-apxs=${INSTALL_ROOT}/httpd/bin/apxs --enable-track-vars --enable-sockets --with-config-file-path=${INSTALL_ROOT}/php --enable-ftp --prefix=${INSTALL_ROOT}/php [B][COLOR="Red"]--with-openssl=/usr[/COLOR][/B] --with-mysql=/usr/local/lib/mysql --disable-libxml --with-zlib-dir=/usr/lib64 || error "Could not configure PHP"
     
  17. SeaWolf

    SeaWolf New Member

    With this option, I got this msg:
    configure: error: Cannot find OpenSSL's libraries
    ERROR: Could not configure PHP


    I think that ghosts are in my server :(
     
  18. SeaWolf

    SeaWolf New Member

    Do you have another idea? I've reinstall again Suse 10 with all update that yast ask me in the install, then install openssl-devel and finally when I install ISPConfig, I got this error again :(

    Configuring extensions
    checking whether to enable LIBXML support... no
    checking libxml2 install dir... no
    checking for OpenSSL support... yes
    checking for Kerberos support... no
    checking for pkg-config... no
    configure: error: Cannot find OpenSSL's libraries
    ERROR: Could not configure PHP


    Someone wanna take a look?

    SeaWolf
     
  19. jneundorf

    jneundorf New Member

    Here's what worked for me

    Seawolf,

    I installed suse 10 on an x86-64 system and ran into the same problem with evp.h.

    In order to fix it I installed the 32bit openssl dev lib using yast (ie installed 32 & 64 bit openssl + dev libs).

    When compiling php, i just used --with-openssl (didn't need =/path..).

    Hope that helps.
     
  20. vktechnology

    vktechnology New Member

Share This Page